> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a data refresh status

> The endpoint returns the refresh task status.



## OpenAPI

````yaml GET /v1/refresh/tasks/{task_id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/refresh/tasks/{task_id}/:
    parameters:
      - name: task_id
        description: Task ID received from the POST request
        in: path
        required: true
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
    get:
      tags:
        - Data Refresh
      summary: Retrieve a data refresh status
      description: The endpoint returns the refresh task status.
      operationId: refresh_task
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTask'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    RefreshTask:
      required:
        - id
        - refresh_date
        - status
      type: object
      properties:
        id:
          description: Unique refresh task ID
          type: string
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        created_at:
          description: Time when refresh task was created
          type: string
          example: '2021-04-06T11:30:00Z'
        refresh_date:
          description: Date of the data refresh **(Deprecated, invalid datetime format)**
          type: string
          format: date
          example: '2020-03-10'
        status:
          description: '[Refresh task status](#task-statuses)'
          type: string
          example: new
      description: Link data refresh task
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````